#include <stdio.h>
#include <opencv/cv.h>
#include <opencv/highgui.h>
#include <iostream>
using namespace std;

int currentCfg = -1;
vector<std::string> samples;

void setupSamplesWindow(){
      cvNamedWindow( "Hand", 0 );
      //cvWaitKey( 1000 / 30 );
}

void loadSigns()
{
	string STRING;
	ifstream infile;
	infile.open ("signlist.txt");
        while(!infile.eof()) // To get you all the lines.
        {
	        getline(infile,STRING); // Saves the line in STRING.
	        cout<<STRING<<endl; // Prints our STRING.
	        samples.push_back(STRING);
        }
	infile.close();
	cout << "Readed " << samples.size() << " cfgs!" << endl;
}

void showSample( std::string filename )
{
    IplImage  *frame;
    int       key;

    std::string rname = "hand_cfgs/";
    rname += filename;

    cout << "SHOW:" << rname << endl;

    frame = cvLoadImage(rname.c_str(),CV_LOAD_IMAGE_COLOR);

    cvFlip(frame, NULL, 1);
    cvShowImage( "Hand", frame );

    key = cvWaitKey( 1000 );

    cvReleaseImage(&frame);
}

void releaseSamplesWindow(){
    cvDestroyWindow( "Hand" );
}

string convertInt(int number)
{
   stringstream ss;//create a stringstream
   ss << number;//add number to the stream
   return ss.str();//return a string with the contents of the stream
}
